# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # View accounts ## Get account details Retrieve account details by using the `GET /accounts/{id}` endpoint. Provide the account’s unique ID to access key information such as account status, payment routing, limits, restrictions and closure reasons. Refer to [Get balance](/docs/embedded-finance-solutions/embedded-payments/capabilities/accounts/balances/how-to/get-balance), [Manage account states](/docs/embedded-finance-solutions/embedded-payments/capabilities/accounts/manage-accounts/manage-account-states) and [Post transaction restrictions](/docs/embedded-finance-solutions/embedded-payments/capabilities/accounts/manage-accounts/post-transaction-restrictions) for more details on these account types. > For real-time balance information, use the `GET /balance` endpoint. > The following account details can be retrieved: **Account types and category** | Category | Account Types | | --- | --- | | Platform | DEFAULT , MANAGEMENT, CLIENT_OFFSET, PROCESSING, PROCESSING_OFFSET, DDA, TRANSACTION_ACCOUNT, DEFAULT | | Platform’s clients | LIMITED_DDA, LIMITED_DDA_PAYMENTS | Sample request: ```json GET /accounts/b316151f575e4c1e9f548f1b40aae462 ``` Sample response: ```json { "id": "b316151f575e4c1e9f548f1b40aae462", "category": "TRANSACTION_ACCOUNT", "state": "OPEN", "parentAccountId": "2af30efd0d8e4432bc271cb38e9da567", "paymentRoutingInformation": { "accountNumber": "20000113278882", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "065400137", "transactionType": "ACH" } ], "status": "ACTIVE" }, "balanceLimits": { "minimumBalance": "0.0", "maximumBalance": "100000.00" }, "restrictions": [ { "restrictionId": "befcda2d-b351-48d2-9e4d-e9ef0a07890d", "restrictionReason": "CLIENT_REQUESTED", "restrictionType": "DEBITS", "restrictionStatus": "ACTIVE", "effectiveFrom": "2024-10-21T00:00:00.000Z" }, { "restrictionId": "befcda2d-b351-48d2-9e4d-e9ef0a078903", "restrictionReason": "CLIENT_REQUESTED", "restrictionType": "CREDITS", "restrictionStatus": "ACTIVE", "effectiveFrom": "2024-10-21T00:00:00.000Z" }, { "restrictionId": "befcda2d-b351-48d2-9e4d-e9ef0a078902", "restrictionReason": "CLIENT_REQUESTED", "restrictionType": "CREDIT_DEBIT", "restrictionStatus": "ACTIVE", "effectiveFrom": "2024-10-21T00:00:00.000Z" } ], "createdAt": "2024-09-19T17:33:42.732Z", "updatedAt": "2024-10-20T15:08:31.654Z" } ``` ## Get a list of your client's account If you need to get the ID for your client's account, use `GET /accounts`. The ID field in the response contains the account ID to use when requesting account details. > > - This information does not apply to transaction accounts. > > - The response for GET /accounts/{id} request does not contain any balance information. > Sample request: ```json GET /accounts/9391463e03664e439eda309dcb61549d ``` Sample response: ```json { "metadata": { "page": 0, "limit": 25, "total_items": 1173 }, "items": [ { "id": "9391463e03664e439eda309dcb61549d", "clientId": "5003853913", "label": "MAIN4201", "state": "OPEN", "category": "LIMITED_DDA", "paymentRoutingInformation": { "accountNumber": "20000059604201", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-06-24T15:59:21.096729Z", "updatedAt": "2025-12-10T11:30:34.260293Z" }, { "id": "21c075960e6e4a61bff7a988c3c3c1db", "clientId": "5008415040", "label": "MAIN4202", "state": "CLOSED", "category": "LIMITED_DDA_PAYMENTS", "paymentRoutingInformation": { "accountNumber": "20000059604202", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-06-24T16:15:32.149336Z", "updatedAt": "2025-12-10T11:29:27.529653Z" }, { "id": "d578a59d092e403094dac98bc2dbfb33", "clientId": "7001002325", "label": "SPONSORED", "state": "OPEN", "category": "DDA", "paymentRoutingInformation": { "accountNumber": "0011580099", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "021000021" } ] }, "createdAt": "2025-11-04T14:38:38.170115Z", "updatedAt": "2025-12-10T11:38:08.462395Z" }, { "id": "cbd47da99f7e42b2923acb0eb23be359", "clientId": "7001002325", "label": "PRIMARY_PROCESSING", "state": "OPEN", "category": "PROCESSING", "paymentRoutingInformation": { "accountNumber": "20000059605212", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-07-10T11:12:35.087526Z", "updatedAt": "2025-12-10T11:31:16.552018Z" }, { "id": "900e4868bc364926957d0882bc51a882", "clientId": "7001002325", "label": "PLATFORM_FEES", "state": "OPEN", "category": "MANAGEMENT", "paymentRoutingInformation": { "accountNumber": "20000059615287", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-10-01T15:09:56.701639Z", "updatedAt": "2025-12-10T11:35:18.113275Z" }, { "id": "019c377654314cf7a8bc3e2714d886d1", "clientId": "7001002325", "label": "COMMISSIONS", "state": "OPEN", "category": "MANAGEMENT", "paymentRoutingInformation": { "accountNumber": "20000059617036", "country": "US", "routingInformation": [ { "routingCodeType": "ABA", "routingNumber": "028000024" } ] }, "createdAt": "2025-10-21T10:29:24.320013Z", "updatedAt": "2025-12-10T11:37:37.920998Z" } ] } ```